
Public Class cVERAG_InterfaceSharedObjects

    Property FTP_Path As String = ""
    Property CooName As String = ""
    Property toSystem As String = "" ' Wo tatsächlcih hingeschikt wird, auch bei TOBB ist dieser Wert "VERAG", wenn eine Kopie an VERAG gesendet werden soll...

    Sub New(FTP_Path, CooName, Optional toSystem = Nothing)
        Me.FTP_Path = FTP_Path
        Me.CooName = CooName
        Me.toSystem = If(toSystem, CooName) 'Default ist toSystem

    End Sub

End Class


Public Class cVERAG_Interface_Settings

    Property acticeInterface_OREGON As Boolean = True
    Property acticeInterface_TOBB As Boolean = True
    Property acticeInterface_EKOL As Boolean = True
    Property acticeInterface_TEST As Boolean = True
    Property acticeInterface_VERAG As Boolean = True
    Property acticeInterface_IMEX As Boolean = True

    Property acticeInterface_GASTONSCHUL_OUT As Boolean = True
End Class
